# Program to generate a plot for sine function using matplotlib and numpy

# Imports libraries
import matplotlib.pyplot as plt 
import numpy as np

# Defines x range with linspace
x = np.linspace(0, 2*np.pi, 100)

# Defines sine function
sine_func = np.sin(x)

# Creates plot
plt.plot(x, sine_func)

# Shows plot
plt.show()

# Saves plot on png file
plt.savefig('sine1.png') 
