# Program to generate a plot for cosine function using matplotlib and numpy.

# Imports packages and module
import matplotlib.pyplot as plt
import numpy as np

# Defines x range with linspace
x = np.linspace(0,2*np.pi,100)

# Defines cosine function
y1 = np.cos(x)

# Creates plot
plt.plot(x,y1)

# Shows plot
plt.show()

# Saves plot on png file
plt.savefig("cos1.png")
